#include<iostream>
using namespace std;

int main()
{
	int n,pom,sum=0,k;
	cin>>n>>k;
	
	int a[1000000]={0};

	for(int i=0;i<n;i++)
	{
		cin>>pom;
		a[pom+n]--;
		if(a[pom+n]==-k) sum++;
	}
	cout<<endl<<sum<<endl;
	for(int i=0;i<2*n+1;i++)
	if(a[i]<=-k) cout<<i-n<<" ";
}